pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/40264: net/avahi msgfmt problems (NetBSD 3.0)

The following reply was made to PR pkg/40264; it has been noted by GNATS.

From: Robert Elz <kre%munnari.OZ.AU@localhost>
Subject: Re: pkg/40264: net/avahi msgfmt problems (NetBSD 3.0) 
Date: Thu, 01 Jan 2009 12:46:22 +0700

     Date:        Wed, 31 Dec 2008 22:10:04 +0000 (UTC)
     From:        Hasso Tepper <>
     Message-ID:  <>
   |  Wrong. gettext-tool is needed to create locale files (how else these 
   |  should be created?) and a current net/avahi/Makefile says so (I fixed 
   |  this) - it contains msgfmt in USE_TOOLS.
 Sorry, terminology glitch, I thought msgfmt was part of gettext rather
 than gettext-tools - and yes, msgfmt is needed.
   |  Why configure tests fail on NetBSD 3.0 is a different story and I can't 
   |  really help here.
 It i sbcause the script is insisting upon finding msgmerge and xgettext
 (those are what I was calling gettext-tools) and what's more, by the way it
 tests for them, insists on newer versions than exist on NetBSD 3.   But
 once having tested for those things, it apparently never actually uses either
 of tjem (at least, as evidenced by Obata-san's examinanation, and my building
 of the package on NetBSD 3 once the tests were dropped from configure).
 The tests for msgfmt remained of course, at least with the wrapper script
 from pkgsrc in place, msgfmt from NetBSD 3 is good enough for avahi.

Home | Main Index | Thread Index | Old Index